epp_DomainCreateReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0402.domain.epp_DomainCreateReq class

### org.openrtk.idl.epp0402.domain

# Class epp_DomainCreateReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0402.domain.epp_DomainCreateReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainCreateReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to create a domain in the registry. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0402/domain/epp_DomainCreateReq.java,v 1.2 2003/09/10 21:29:55 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:55 $

See Also:
  `EPPDomainCreate`, `epp_DomainCreateRsp`

  ## Field Summary
  `epp_AuthInfo` | `m_auth_info` The authorization information to be associated with the domain object.
  `epp_Command` | `m_cmd` The common and generic command element.
  `epp_DomainContact[]` | `m_contacts` The array of contacts to be associated with the domain object.
  `String` | `m_name` The name of the domain object to be created in the registry.
  `String[]` | `m_name_servers` The array of name servers to be associated with the domain object.
  `epp_DomainPeriod` | `m_period` The registration period of the domain object.
  `String` | `m_registrant` The domain registrant to be associated with the domain object.

  ## Constructor Summary
  `epp_DomainCreateReq()` Empty constructor
  `epp_DomainCreateReq(epp_Command _m_cmd, String _m_name, epp_DomainPeriod _m_period, String[] _m_name_servers, String _m_registrant, epp_DomainContact[] _m_contacts, epp_AuthInfo _m_auth_info)` The constructor with initializing variables.

  ## Method Summary
  `epp_AuthInfo` | `getAuthInfo()` Accessor method for the authorization information to be associated with the domain object
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `epp_DomainContact[]` | `getContacts()` Accessor method for the array of contacts to be associated with the domain object
  `String` | `getName()` Accessor method for the name of the domain object to be created in the registry
  `String[]` | `getNameServers()` Accessor method for the array of name servers to be associated with the domain object
  `epp_DomainPeriod` | `getPeriod()` Accessor method for the registration period of the domain object
  `String` | `getRegistrant()` Accessor method for the registrant to be associated with the domain object
  `void` | `setAuthInfo(epp_AuthInfo value)` Accessor method for the authorization information to be associated with the domain object
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setContacts(epp_DomainContact[] value)` Accessor method for the array of contacts to be associated with the domain object
  `void` | `setName(String value)` Accessor method for the name of the domain object to be created in the registry
  `void` | `setNameServers(String[] value)` Accessor method for the array of name servers to be associated with the domain object
  `void` | `setPeriod(epp_DomainPeriod value)` Accessor method for the registration period of the domain object
  `void` | `setRegistrant(String value)` Accessor method for the registrant to be associated with the domain object
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_auth_info

    public epp_AuthInfo m_auth_info

> The authorization information to be associated with the domain object.
> See Also:
>   `setAuthInfo(epp_AuthInfo)`, `getAuthInfo()`

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_contacts

    public epp_DomainContact[] m_contacts

> The array of contacts to be associated with the domain object. Contact objects must exist in the registry
> See Also:
>   `setContacts(epp_DomainContact[])`, `getContacts()`

### m_name

    public String m_name

> The name of the domain object to be created in the registry.
> See Also:
>   `setName(String)`, `getName()`

### m_name_servers

    public String[] m_name_servers

> The array of name servers to be associated with the domain object. Name servers must exist in the registry
> See Also:
>   `setNameServers(String[])`, `getNameServers()`

### m_period

    public epp_DomainPeriod m_period

> The registration period of the domain object.
> See Also:
>   `setPeriod(epp_DomainPeriod)`, `getPeriod()`

### m_registrant

    public String m_registrant

> The domain registrant to be associated with the domain object. Registrant must exist in the registry
> See Also:
>   `setRegistrant(String)`, `getRegistrant()`

## Constructor Details

### epp_DomainCreateReq

    public epp_DomainCreateReq()

> Empty constructor

### epp_DomainCreateReq

    public epp_DomainCreateReq(epp_Command _m_cmd,
                               String _m_name,
                               epp_DomainPeriod _m_period,
                               String[] _m_name_servers,
                               String _m_registrant,
                               epp_DomainContact[] _m_contacts,
                               epp_AuthInfo _m_auth_info)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_name` - The name of the domain object to be created in the registry
>   `_m_period` - The registration period of the domain object
>   `_m_name_servers` - The array of name servers to be associated with the domain object
>   `_m_registrant` - The registrant to be associated with the domain object
>   `_m_contacts` - The array of contacts to be associated with the domain object
>   `_m_auth_info` - The authorization information to be associated with the domain object

## Method Details

### getAuthInfo

    public epp_AuthInfo getAuthInfo()

> Accessor method for the authorization information to be associated with the domain object
> Returns:
>   The domain auth info
> See Also:
>   `m_auth_info`

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getContacts

    public epp_DomainContact[] getContacts()

> Accessor method for the array of contacts to be associated with the domain object
> Returns:
>   The array of domain contacts
> See Also:
>   `m_contacts`

### getName

    public String getName()

> Accessor method for the name of the domain object to be created in the registry
> Returns:
>   The domain name
> See Also:
>   `m_name`

### getNameServers

    public String[] getNameServers()

> Accessor method for the array of name servers to be associated with the domain object
> Returns:
>   The array of domain name servers
> See Also:
>   `m_name_servers`

### getPeriod

    public epp_DomainPeriod getPeriod()

> Accessor method for the registration period of the domain object
> Returns:
>   The domain period
> See Also:
>   `m_period`

### getRegistrant

    public String getRegistrant()

> Accessor method for the registrant to be associated with the domain object
> Returns:
>   The domain registrant
> See Also:
>   `m_registrant`

### setAuthInfo

    public void setAuthInfo(epp_AuthInfo value)

> Accessor method for the authorization information to be associated with the domain object
> Parameters:
>   `value` - The domain auth info
> See Also:
>   `m_auth_info`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setContacts

    public void setContacts(epp_DomainContact[] value)

> Accessor method for the array of contacts to be associated with the domain object
> Parameters:
>   `value` - The array of domain contacts
> See Also:
>   `m_contacts`

### setName

    public void setName(String value)

> Accessor method for the name of the domain object to be created in the registry
> Parameters:
>   `value` - The domain name
> See Also:
>   `m_name`

### setNameServers

    public void setNameServers(String[] value)

> Accessor method for the array of name servers to be associated with the domain object
> Parameters:
>   `value` - The array of domain name servers
> See Also:
>   `m_name_servers`

### setPeriod

    public void setPeriod(epp_DomainPeriod value)

> Accessor method for the registration period of the domain object
> Parameters:
>   `value` - The domain period
> See Also:
>   `m_period`

### setRegistrant

    public void setRegistrant(String value)

> Accessor method for the registrant to be associated with the domain object
> Parameters:
>   `value` - The domain registrant
> See Also:
>   `m_registrant`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS